In eclasses there's often use for outputting QA warnings for ebuild
authors (at least in java and python could immediately make use of
this). Currently Portage has eqawarn available but it's considered
internal. Hopefully eqawarn finds it's way to the next EAPI but in the
mean while do we want:

1) Do a wrapper like attached to eutils.eclass
2) Use whatever e* function that seems most appropriate (for example
einfo when it's common so user LOGging setups don't get too much noise)
3) Have a speedy next EAPI if we can find more stuff like this to bundle

Regards,
Petteri
Index: eutils.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/eutils.eclass,v
retrieving revision 1.340
diff -u -r1.340 eutils.eclass
--- eutils.eclass       7 Mar 2010 03:00:08 -0000       1.340
+++ eutils.eclass       12 Mar 2010 19:36:28 -0000
@@ -63,6 +63,17 @@
 
 fi
 
+# @FUNCTION: eqawarn
+# @USAGE: [message]
+# @DESCRIPTION:
+# Proxy to einfo for package managers that don't provide eqawarn and use the PM
+# implementation if available.
+if ! declare -F eqawarn >/dev/null ; then
+       eqawarn() {
+               einfo "$@"
+       }
+fi
+
 # @FUNCTION: ecvs_clean
 # @USAGE: [list of dirs]
 # @DESCRIPTION:

Attachment: signature.asc
Description: OpenPGP digital signature

Reply via email to